#### D.5.2.4 segre

Procedure from library `chern.lib` (see chern_lib).

Usage:
  segre(c[, N]); c list of polynomials, N integer

Return:
  list of polynomials

Purpose:
  computes the list of the Segre classes up to degree N in terms of the Chern classes from c

Note:

Example:

    LIB "chern.lib";
    ring r = 0, (c(1..3)), dp;
    list l=c(1..3);
    //Segre classes up to degree 5 in Chern classes c(1), c(2), c(3)
    print( segre(l, 5) );

User manual for Singular version 4.4.1, 2025, generated by texi2html.